

#include <stdio.h>
#include "ad++.h"


const int n = 8 ;

int main(int argc, char* argv[]) {
  AdlibInit(argc, argv) ;

  Procs2 p(2, 2) ;

  ON(p) {
    BlockRange x(n, p.dim(0)) ;
    BlockRange y(n, p.dim(1)) ;
    Array2<float> u(x, y) ;

    Index i(x), j(y) ;
    OVERALL(i) {
      OVERALL(j) {
	u(i, j) = n * i + j ;
      } ALLOVER(j) ;
    } ALLOVER(i) ;

    aprintf("%7.3f%*N", u, n) ;
  } NO(p) ;

  AdlibFinalize() ;
}


